=== debian/changelog ===
pypy (7.3.1+dfsg-3build2) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Aug 2020 12:17:47 +0100

pypy (7.3.1+dfsg-3build1) groovy; urgency=medium

  * No change rebuild against new libffi8ubuntu1 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Aug 2020 01:24:31 +0100

pypy (7.3.1+dfsg-3) unstable; urgency=medium

  * Support --system-site-packages in virtualenv 20.
  * Use upstream's tool to build cffi modules, directly. It is useable
    stand-alone, these days, and catches failures.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 May 2020 12:38:17 -0700

pypy (7.3.1+dfsg-2) unstable; urgency=medium

  * Point to the installed stdlib in the pypy-local sysconfig layout, to
    support virtualenv 20.
  * Build out autopkgtests a little. Test: cffi lib importability, local
    package installation, virtualenvs, byte-compilation.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 20 Apr 2020 15:35:45 -0700

pypy (7.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release, upload to unstable.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 Apr 2020 12:33:52 -0700

pypy (7.3.1~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC, upload to experimental
  * Update copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Refresh patches.
  * Update build-cffi-modules to use upstream's new library location.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Apr 2020 16:06:11 -0700

pypy (7.3.0+dfsg-3) unstable; urgency=medium

  * Patch: Force s390x port to target z10 by default.
  * Patch: Build Sphinx docs with Python 3. This requires disabling autodoc
    and other custom extensions.
  * Execute python2 (instead of python) during the build.
  * We don't need python-docutils, any more.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Mar 2020 19:16:40 -0700

pypy (7.3.0+dfsg-2) unstable; urgency=medium

  * Build-Depend on python2 instead of python.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Jan 2020 07:58:52 +0200

pypy (7.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch arm64-gcc-bug, superseded upstream.
  * Update copyright.
  * Build with pypy on arm64, now that we've bootstrapped the JIT.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 08:33:03 +0200

pypy (7.2.0+dfsg-1) unstable; urgency=medium

  * New upstream final release.
  * Upload to unstable.
  * Enable JIT and continuation module on arm64.
  * Refresh patches.
  * Drop patch fix-revdb, superseded upstream.
  * Patch arm64-gcc-bug: Avoid a GCC bug in the new arm64 JIT.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Nov 2019 11:37:59 -0700

pypy (7.2.0~rc0+dfsg-1) experimental; urgency=medium

  * New upstream RC, upload to experimental.
  * Drop Pre-Depends dpkg (>= 1.15.6~). xz is always supported, these days.
  * Move more translation logic into debian/scripts/translate.sh
  * Refresh patches.
  * Drop patch version-7.1.1, superseded upstream.
  * Refresh copyright.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Patch fix-revdb: Make RevDB build.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 Oct 2019 14:50:09 +0300
