## pypy 7.3.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pypy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
@@ -28,14 +27,15 @@
  zlib1g-dev
 Build-Depends-Indep: graphviz
 Standards-Version: 4.5.0
-Homepage: http://pypy.org/
+Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy
 Rules-Requires-Root: no
 
 Package: pypy
 Architecture: any
-Depends: pypy-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: pypy-lib (= ${binary:Version}), ${shlibs:Pre-Depends}
+Depends: ${misc:Depends}
 Breaks:
  pypy-backports.functools-lru-cache (<< 1.5-3~),
  pypy-dev (<< ${source:Version})
