=== debian/changelog ===
pypy (7.3.3+dfsg-2) unstable; urgency=medium

  * Move pypy dependencies to Pre-Depends, as the pypy binary is used in
    package maintainer scripts. (Closes: #987213)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 02 May 2021 10:44:17 -0400

pypy (7.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release (identical to RC1).
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Nov 2020 09:14:19 -0800

pypy (7.3.3~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC.
    - Upload to experimental.
  * Refresh patches.
  * Update copyright.
  * Build pypy using pypy on ppc64 & ppc64el again.
  * Drop patch xdg-gvfs-open. Superseded upstream in 2.3 :P
  * Drop patch test_termios. No longer needed.
  * Drop patches superseded upstream: ppc64-jit-regression, python2-binary,
    test-certificates, test-tls_1.0, test_ssl-tls-1.0.
  * Carry over atomic-pyc-rename and bdist-wininst-notfound from Debian's
    python2.7 package.
  * Update Homepage.
  * Add UpstreamMetadata.
  * Point watch URL at downloads.python.org, bitbucket is no longer used.
  * Fix some warnings in our fibc test package.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 Nov 2020 16:26:53 -0800

pypy (7.3.2+dfsg-2) unstable; urgency=medium

  * Patch: Fix JIT breakage on ppc64.
  * Re-bootstrap ppc64 & ppc64el from cpython.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 26 Sep 2020 11:54:08 -0700

pypy (7.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release, upload to unstable.
  * Drop pypy2.7-v7.x-updates patch, superseded upstream.
  * Patch: Ignore fcntl test lease failures known to occur on tmpfs on older
    kernels (e.g. current buildds).
  * Strip rpython/rlib/test/loadtest/loadtest*.dll from the source package.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Sep 2020 12:19:52 -0700

pypy (7.3.2~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Upload to experimental.
  * Refresh patches.
  * Patch: Update to the current state of the release branch.
  * Patch: Disable sphinx-affiliates search, not yet available in Debian.
  * Update copyright.
  * Update the location of build_cffi_imports.
  * Update a dist-packages test in the distutils-install-layout patch.
  * Patch: Point some unit tests at python2, as /usr/bin/python doesn't exist.
  * Patch: Update SSL certificates in unit tests to RSA & DH 3k with SHA-2.
  * Reorganize patches and prefix their commit messages with a category.
  * Patches: Avoid explicit TLS 1.0 connections in tests.
  * Patch: Ignore InvalidTerminal exception in test_readline under TERM=dumb.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 22 Sep 2020 12:29:57 -0700
