=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 	# Build cffi modules
-	pypy/goal/pypy-c lib_pypy/tools/build_cffi_imports.py
+	pypy/goal/pypy-c lib_pypy/pypy_tools/build_cffi_imports.py
 	debian/scripts/multiarch-extensions.sh
 
 override_dh_auto_build-indep:
@@ -73,6 +73,10 @@
 override_dh_compress:
 	dh_compress -X.inv -X.txt
 
+override_dh_shlibdeps-arch:
+	dh_shlibdeps --package=pypy -- -dPre-Depends
+	dh_shlibdeps --arch --remaining-packages
+
 override_dh_installdeb:
 	set -e; for maintscript in preinst postinst prerm; do \
 		sed -e 's/#VERSION#/$(VER)/g' \
@@ -95,6 +99,7 @@
 endif
 	rm -rf pypy-$(VER).orig/.hg*
 	rm pypy-$(VER).orig/lib-python/2.7/distutils/command/*.exe
+	rm pypy-$(VER).orig/rpython/rlib/test/loadtest/loadtest*.dll
 	rm -rf pypy-$(VER).orig/lib-python/2.7/ensurepip/_bundled/
 	tar -cJ --owner root --group root --mode a+rX \
 	    -f pypy_$(VER)+dfsg.orig.tar.xz pypy-$(VER).orig
