=== debian/tests/control ===
Tests: byte-compilation
Depends: pypy, shunit2

Tests: command-line
Depends: pypy, shunit2
Restrictions: superficial

Tests: pypy-tk
Depends: pypy-tk, shunit2
Restrictions: superficial

Tests: module-install-local
Depends: build-essential, pypy-dev, pypy-setuptools, shunit2
Restrictions: needs-root

Tests: module-install-user
Depends: build-essential, pypy-dev, pypy-setuptools, shunit2

Tests: module-install-virtualenv
Depends: build-essential, pypy-dev, shunit2, virtualenv
