## pypy 7.3.5+dfsg

=== debian/changelog ===
pypy (7.3.5+dfsg-1) experimental; urgency=medium

  * New upstream point release.
    - Fixes CVE-2021-3426, CVE-2020-8492.
  * Use the bundled pycparser for translation, so that Debian can drop the
    python-pycparser binary package.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 May 2021 08:02:48 -0400

pypy (7.3.4+dfsg-2) experimental; urgency=medium

  * Move pypy dependencies to Pre-Depends, as the pypy binary is used in
    package maintainer scripts. (Closes: #987213)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 02 May 2021 10:38:56 -0400

pypy (7.3.4+dfsg-1) experimental; urgency=medium

  * New upstream release (identical to RC2)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 12 Apr 2021 17:04:17 -0400

pypy (7.3.4~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Refresh patches.
  * Drop patch no-sphinx-affiliates, superseded upstream.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 05 Apr 2021 14:06:53 -0700

pypy (7.3.4~rc1+dfsg-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * New upstream RC.
    - Upload to experimental.
  * Drop patch s390x-z10, not needed since 7.3.1 dropped the assert we were
    protecting ourselves from.
  * Update s390x model target: z196 on Debian, zEC12 on Ubuntu < focal, z13 on
    Ubuntu >= focal.
  * Refresh patches.
  * Update copyright.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump watch file version to 4.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + pypy-doc: Add Multi-Arch: foreign.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Mar 2021 12:36:08 -0700
