=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  pkg-config,
  procps,
  pypy [any-amd64 any-i386 arm64 armhf ppc64 ppc64el s390x] <!stage1>,
- python-pycparser,
  python2,
  python2.7-dev,
  python3-sphinx (>= 1.0.7+dfsg),
@@ -26,7 +25,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy
@@ -95,6 +94,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python2-doc
+Multi-Arch: foreign
 Description: developer Documentation for PyPy (an alternative Python interpreter)
  The Developer documentation for PyPy. This mostly covers the internals of
  PyPy, and development of PyPy itself.
