## pypy 7.3.9%2Bdfsg

=== debian/tests/control ===
--- 
+++ 
@@ -17,4 +17,12 @@
 Depends: build-essential, pypy-dev, pypy-setuptools, shunit2
 
 Tests: module-install-virtualenv
-Depends: build-essential, pypy-dev, shunit2, virtualenv
+Depends:
+ build-essential,
+ pypy-dev,
+ python2-pip-whl (>= 20.3.4+dfsg-4~),
+ python2-setuptools-whl,
+ python2-wheel-whl,
+ shunit2,
+ virtualenv
+Restrictions: allow-stderr
