=== debian/changelog ===
pypy (7.3.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Correct the license for osx-roots.diff.
  * Build-Depend on valgrind-if-available, instead of a hardcoded arch list.
  * Synchronise module-install-* autopkgtests with python3 3.10.2-7:
    - Test install destination.
    - Test setuptools develop installations.
    - Test installation via pip (in virtualenvs, we don't have a pypy-pip
      package).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 31 Mar 2022 21:37:17 -0400

pypy (7.3.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Upload to unstable
  * Drop RC2 patch, superseded by final release.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Feb 2022 14:18:50 -0400

pypy (7.3.8~rc1+dfsg-2) experimental; urgency=medium

  * Patch: Update to RC2
  * Drop patch cffi-bundled-pycparser, superseded upstream.
  * Update debian copyright.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Feb 2022 08:30:44 -0400

pypy (7.3.8~rc1+dfsg-1) experimental; urgency=medium

  * New upstream RC.
    - Upload to experimental.
  * Refresh patches.
  * Drop patch openssl-3.0.0, superseded upstream.
  * PyPy.h was dropped upstream, cffi should be used for embedding PyPy.
  * Patch cffi-bundled-pycparser: Fix a cffi regression.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Jan 2022 17:54:29 -0400

pypy (7.3.6+dfsg-3) unstable; urgency=medium

  * Re-instate pypy-lib.prerm, duplicating the pypyclean from pypy.prerm to
    clean up pypy-lib .pyc files before upgrading it. (See: #1004369)
    - Add some one-off cleanup for 7.3.6+dfsg-2.
  * Exclude make_ssl_data.py from pypy-lib, this a developer tool, written in
    Python 3 syntax. (Closes: #1004369)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 27 Jan 2022 07:43:49 -0400

pypy (7.3.6+dfsg-2) unstable; urgency=medium

  * virtualenv autopkgtest: Depend on python2-pip-whl, python2-setuptools-whl,
    and python2-wheel-whl. (Closes: #1003573)
  * Patch: OpenSSL 3.0.0 support.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 23 Jan 2022 08:50:00 -0400

pypy (7.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release (same as RC2).
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Oct 2021 10:23:26 -0700

pypy (7.3.6~rc2+dfsg-1) experimental; urgency=medium

  * New upstream RC.
  * Refresh patches.
  * Update copyright.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Handle RCs correctly in get-packaged-orig-source.
  * Drop patch ppc-jit-backend, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 06 Oct 2021 20:56:34 -0700

pypy (7.3.5+dfsg-3) unstable; urgency=medium

  * Fix PPC JIT backend code generation. (Closes: #994265)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Sep 2021 09:12:52 -0700

pypy (7.3.5+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 17 Aug 2021 22:09:48 -0400
