=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
  python3-sphinx (>= 1.0.7+dfsg),
  tcl-dev,
  tk-dev,
- valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
+ valgrind-if-available,
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy
@@ -112,7 +112,5 @@
  .
  PyPy supports a subset of cpython's C API through its CPyExt subsystem.
  .
- Also included is PyPy.h, for embedding the PyPy interpreter.
- .
  PyPy is a fast, compliant alternative implementation of the Python language
  (2.7).
