=== debian/rules ===
--- 
+++ 
@@ -78,29 +78,29 @@
 	dh_shlibdeps --arch --remaining-packages
 
 override_dh_installdeb:
-	set -e; for maintscript in preinst postinst prerm; do \
-		sed -e 's/#VERSION#/$(VER)/g' \
-		    -e 's/#ARCH#/$(shell dpkg-architecture -qDEB_HOST_ARCH)/g' \
-		    debian/pypy.$$maintscript.in > debian/pypy.$$maintscript; \
-	done
+	debian/scripts/maintscript.sh pypy.preinst
+	debian/scripts/maintscript.sh pypy.postinst
+	debian/scripts/maintscript.sh pypy.prerm
+	debian/scripts/maintscript.sh pypy-lib.prerm
 	dh_installdeb
 
 HG_REPO ?= https://bitbucket.org/pypy/pypy
-REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p' | sed -e 's/~//')
+REV = $(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
+DVER = $(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
+UVER = $(shell echo $(DVER) | sed -e 's/~//')
 get-packaged-orig-source:
 	@echo "You can build this from a local repo by supplying the HG_REPO variable"
-	rm -rf pypy-$(VER).orig
-	hg clone $(HG_REPO) pypy-$(VER).orig
+	rm -rf pypy-$(DVER).orig
+	hg clone $(HG_REPO) pypy-$(DVER).orig
 ifeq (,$(REV))
-	cd pypy-$(VER).orig && hg up -r release-pypy2.7-v$(VER)
+	cd pypy-$(DVER).orig && hg up -r release-pypy2.7-v$(UVER)
 else
-	cd pypy-$(VER).orig && hg up -r $(REV)
+	cd pypy-$(DVER).orig && hg up -r $(REV)
 endif
-	rm -rf pypy-$(VER).orig/.hg*
-	rm pypy-$(VER).orig/lib-python/2.7/distutils/command/*.exe
-	rm pypy-$(VER).orig/rpython/rlib/test/loadtest/loadtest*.dll
-	rm -rf pypy-$(VER).orig/lib-python/2.7/ensurepip/_bundled/
+	rm -rf pypy-$(DVER).orig/.hg*
+	rm pypy-$(DVER).orig/lib-python/2.7/distutils/command/*.exe
+	rm pypy-$(DVER).orig/rpython/rlib/test/loadtest/loadtest*.dll
+	rm -rf pypy-$(DVER).orig/lib-python/2.7/ensurepip/_bundled/
 	tar -cJ --owner root --group root --mode a+rX \
-	    -f pypy_$(VER)+dfsg.orig.tar.xz pypy-$(VER).orig
-	rm -rf pypy-$(VER).orig
+	    -f pypy_$(DVER)+dfsg.orig.tar.xz pypy-$(DVER).orig
+	rm -rf pypy-$(DVER).orig
