=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 # To repack, run debian/rules get-packaged-orig-source
 opts=dversionmangle=s/\+dfsg// \
